<?php
if(file_exists("config/config_dir_raiz.php"))
{
	require_once("config/config_dir_raiz.php");
}
else
{
	require_once("../../config/config_dir_raiz.php");
}
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/LoginDAO.php");
$loginDAO = new LoginDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_usuarioDAO.php");
$usuarioDAO = new Bi_usuario();
$bi_usuarioDAO = new Bi_usuarioDAO();
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "logar")
{
	if (isset($_POST["usuario"]) and $_POST["usuario"] != "")
	{
		$logado = $loginDAO->logar($_POST["usuario"], $_POST["senha"]);
		if ($logado)
		{
			$_SESSION["autenticado_bi"] = true;
			$retorno["mensagem"] = "ok";
			$retorno["status"] = true;	
		}
		else
		{
			$_SESSION["autenticado_bi"] = false;
			$retorno["mensagem"] = "Usuário ou senha incorreta";
			$retorno["status"] = false;	
			
		}	
		echo json_encode($retorno);	
	}
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "alterar_senha")
{
	if($_POST['senha'] == "")
	{
		$retorno["mensagem"] = "Informe a senha!";
		$retorno["status"] = false;	
	}
	elseif($_POST['confirmacaosenha'] == "")
	{
		$retorno["mensagem"] = "Informe a confirmação da senha!";
		$retorno["status"] = false;	
	}
	elseif($_POST['confirmacaosenha'] != $_POST['senha'])
	{
		$retorno["mensagem"] = "Senhas não são iguais!";
		$retorno["status"] = false;	
	}
	else
	{
		$funcoes_bd = new Funcoes_bd();
		$usuarios = $bi_usuarioDAO->buscarBi_usuario($_SESSION["id_usuario_bi"]);
		//$usuarios->setSenha($_POST['senha']);
		//$usuarios->setAlterar_senha_proximo_login("0");
		if($usuarios->getCodigo() == $_SESSION["id_usuario_bi"])
		{
			$funcoes_bd->executarSql("update bi_usuario set alterar_senha_proximo_login = 0, senha = md5('".$_POST['senha']."') where codigo = ".$usuarios->getCodigo(),$inputs = array());
			$_SESSION["autenticado_bi"] = true;
			$retorno["mensagem"] = "ok";
			$retorno["status"] = true;	
			$_SESSION["alterar_senha_proximo_login"] = false;
			//$bi_usuarioDAO->atualizar($usuarios);
		}
		else
		{
			$_SESSION["autenticado_bi"] = false;
			$retorno["mensagem"] = "Usuário ou senha incorreta";
			$retorno["status"] = false;	
			//$retorno["mensagem"] = $e->getMessage();
			//$retorno["status"] = false;
		}
	}
	
	echo json_encode($retorno);	
	
}

function login_token($token)
{
	$config = new Config();
	require_once($config->diretorio_raiz()."/src/model/bd/LoginDAO.php");
	$loginDAO = new LoginDAO();
	//echo base64_decode($token);
	$json = json_decode(base64_decode($token));
	//echo $json->usuario;
	$logado = $loginDAO->logar($json->usuario, $json->senha);
	if ($logado)
	{
		$_SESSION["autenticado_bi"] = true;
	}
	else
	{
		$_SESSION["autenticado_bi"] = false;
	}	
}